net.corda.core.node.services

## Class ServiceType

- net.corda.core.node.services.ServiceType

-     public class ServiceType

  Identifier for service types a node can expose over the network to other peers. These types are placed into network map advertisements. Services that are purely local and are not providing functionality to other parts of the network don't need a declared service type.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ServiceType.Companion`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ServiceType.Companion` | `Companion`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object other)`
    `java.lang.String` | `getId()`
    `ServiceType` | `getSubType(java.lang.String subTypeId)`
    `int` | `hashCode()`
    `boolean` | `isNotary()`
    `boolean` | `isSubTypeOf(ServiceType superType)`
    `boolean` | `isValidatingNotary()`
    `java.lang.String` | `toString()`

- - ### Field Detail

    - #### Companion

          public static ServiceType.Companion Companion

  - ### Method Detail

    - #### getSubType

          public ServiceType getSubType(java.lang.String subTypeId)

    - #### equals

          public boolean equals(java.lang.Object other)

    - #### isSubTypeOf

          public boolean isSubTypeOf(ServiceType superType)

    - #### isNotary

          public boolean isNotary()

    - #### isValidatingNotary

          public boolean isValidatingNotary()

    - #### hashCode

          public int hashCode()

    - #### toString

          public java.lang.String toString()

    - #### getId

          public java.lang.String getId()